MSW1ParserInternal::Font Struct Reference

Internal: the font of a MSW1Parser. More...

## Public Member Functions

| Font ()
| constructor More...

## Public Attributes

MWAWFont | m_font
| the basic font property More...
int | m_type
| a unknown int, maybe 0x80 means defined font More...
std::string | m_extras
| a string used to store the parsing extrass More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<< More...

## Detailed Description

Internal: the font of a MSW1Parser.

## Constructor & Destructor Documentation

MSW1ParserInternal::Font::Font | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSW1ParserInternal::Font::m_extras

a string used to store the parsing extrass

Referenced by MSW1ParserInternal::operator<<(), and MSW1Parser::readFont().

MWAWFont MSW1ParserInternal::Font::m_font

the basic font property

Referenced by MSW1Parser::readFont(), MSW1Parser::readPLC(), and MSW1Parser::sendText().

int MSW1ParserInternal::Font::m_type

a unknown int, maybe 0x80 means defined font

Referenced by MSW1ParserInternal::operator<<(), and MSW1Parser::readFont().

The documentation for this struct was generated from the following file:

- MSW1Parser.cxx